curl --location --request PATCH 'https://api.rapidagent.ai/api/v1/prompts/{promptId}' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>' \
--data-raw '{
"name": "My patched prompt",
}'
{
"success": true,
"data": {
"id": "cli28c2vd00016itbrlhekwql",
"name": "My patched prompt",
"template": "...",
"input_variables": [
"question",
"history"
],
}
}
Prompts
/prompts/{promptId}
Patch a prompt.
PATCH
/
api
/
v1
/
prompts
/
{promptId}
curl --location --request PATCH 'https://api.rapidagent.ai/api/v1/prompts/{promptId}' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>' \
--data-raw '{
"name": "My patched prompt",
}'
{
"success": true,
"data": {
"id": "cli28c2vd00016itbrlhekwql",
"name": "My patched prompt",
"template": "...",
"input_variables": [
"question",
"history"
],
}
}
Params
string
required
A valid
prompt id.Body
string
The name of the prompt.
object
An
array containing input variables.string
The prompt template.
Response
boolean
Indicates whether the call was successful.
object
A
prompt object.curl --location --request PATCH 'https://api.rapidagent.ai/api/v1/prompts/{promptId}' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>' \
--data-raw '{
"name": "My patched prompt",
}'
{
"success": true,
"data": {
"id": "cli28c2vd00016itbrlhekwql",
"name": "My patched prompt",
"template": "...",
"input_variables": [
"question",
"history"
],
}
}